---
name: payment-records-routes
description: Handle 8 OpenAPI operation(s) under /v1/payment_records for the payment records route group.
---

# payment records API Routes

Handle 8 OpenAPI operation(s) under /v1/payment_records for the payment records route group.

Use the generated operation tools to make real API calls. Do not invent API responses.
If a tool reports missing setup, return the exact setup field name to the caller.
For write, update, or delete operations, state the intended action before calling the tool.

## Operations

### post_payment_records_report_payment

- Operation ID: `post_payment_records_report_payment`
- Route: `POST /v1/payment_records/report_payment`
- Mode: WRITE
- Summary: Report a payment
- Body: JSON request body accepted.

### get_payment_records_id

- Operation ID: `get_payment_records_id`
- Route: `GET /v1/payment_records/{id}`
- Mode: READ
- Summary: Retrieve a Payment Record
- Parameters:
  - `expand` in `query`
  - `id` in `path` required
- Body: JSON request body accepted.

### post_payment_records_id_report_payment_attempt

- Operation ID: `post_payment_records_id_report_payment_attempt`
- Route: `POST /v1/payment_records/{id}/report_payment_attempt`
- Mode: WRITE
- Summary: Report a payment attempt
- Parameters:
  - `id` in `path` required
- Body: JSON request body accepted.

### post_payment_records_id_report_payment_attempt_canceled

- Operation ID: `post_payment_records_id_report_payment_attempt_canceled`
- Route: `POST /v1/payment_records/{id}/report_payment_attempt_canceled`
- Mode: WRITE
- Summary: Report payment attempt canceled
- Parameters:
  - `id` in `path` required
- Body: JSON request body accepted.

### post_payment_records_id_report_payment_attempt_failed

- Operation ID: `post_payment_records_id_report_payment_attempt_failed`
- Route: `POST /v1/payment_records/{id}/report_payment_attempt_failed`
- Mode: WRITE
- Summary: Report payment attempt failed
- Parameters:
  - `id` in `path` required
- Body: JSON request body accepted.

### post_payment_records_id_report_payment_attempt_guaranteed

- Operation ID: `post_payment_records_id_report_payment_attempt_guaranteed`
- Route: `POST /v1/payment_records/{id}/report_payment_attempt_guaranteed`
- Mode: WRITE
- Summary: Report payment attempt guaranteed
- Parameters:
  - `id` in `path` required
- Body: JSON request body accepted.

### post_payment_records_id_report_payment_attempt_informational

- Operation ID: `post_payment_records_id_report_payment_attempt_informational`
- Route: `POST /v1/payment_records/{id}/report_payment_attempt_informational`
- Mode: WRITE
- Summary: Report payment attempt informational
- Parameters:
  - `id` in `path` required
- Body: JSON request body accepted.

### post_payment_records_id_report_refund

- Operation ID: `post_payment_records_id_report_refund`
- Route: `POST /v1/payment_records/{id}/report_refund`
- Mode: WRITE
- Summary: Report a refund
- Parameters:
  - `id` in `path` required
- Body: JSON request body accepted.
